# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "gobetween"
version = "0.5.35"
authors = ["sean watters <sean@ordinarylabs.io>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "3rd party API integration mechanism for Ordinary Framework."
homepage = "https://codeberg.org/ordinarylabs/Ordinary"
readme = "README.md"
categories = ["web-programming::http-client"]
license = "AGPL-3.0-only"
repository = "https://codeberg.org/ordinarylabs/Ordinary"

[lib]
name = "gobetween"
path = "src/lib.rs"

[[test]]
name = "integration"
path = "tests/integration.rs"

[dependencies.bytes]
version = "1.7.2"

[dependencies.configinator]
version = "0.5.35"

[dependencies.flexbuffers]
version = "0.1.1"
package = "fexbluffers"

[dependencies.notatype]
version = "0.5.35"

[dependencies.reqwest]
version = "0.12.22"
features = [
    "json",
    "blocking",
    "http2",
    "rustls-tls",
    "zstd",
]
default-features = false

[dependencies.serde_json]
version = "1.0.140"

[dependencies.stewball]
version = "0.5.35"

[dependencies.tracing]
version = "0.1"

[lints.clippy]
unwrap_used = "deny"
